Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Connect 2.0 compatibility #12

Closed
ammmir opened this Issue · 1 comment

2 participants

@ammmir
Owner

It should be fairly trivial to add support, since we don't really use the router's regex magic.

@digitalrinaldo

I am interested in helping with this. When I tried to get it working using simple.js, I get an error about the router. Shouldn't the connect in express be used?

─┬ express@2.5.8
│ ├─┬ connect@1.8.5
│ │ └── formidable@1.0.9
│ ├── mime@1.2.4
│ ├── mkdirp@0.3.0
│ └── qs@0.4.2
├─┬ jade@0.21.0
│ ├── commander@0.5.2
│ └── mkdirp@0.3.0
├─┬ oauth2-provider@1.0.1
│ ├─┬ connect@1.8.5
│ │ ├── formidable@1.0.9
│ │ ├── mime@1.2.5
│ │ └── qs@0.4.2
│ └── serializer@0.0.3
└── serializer@0.0.3

@ammmir ammmir closed this issue from a commit
@ammmir Remove Connect dependency since the routing logic is absurdly simple.
No need to introduce another dependency :)

Closes #12
Closes #14
Closes #15
0efd614
@ammmir ammmir closed this in 0efd614
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.